Name:          openhft-java-compiler
Version:       2.2.5
Release:       5%{?dist}
Summary:       OpenHFT Java Runtime Compiler library
# https://github.com/OpenHFT/Java-Runtime-Compiler/issues/20
License:       ASL 2.0
URL:           https://github.com/OpenHFT/Java-Runtime-Compiler
Source0:       https://github.com/OpenHFT/Java-Runtime-Compiler/archive/compiler-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.jetbrains:annotations)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: /usr/bin/asciidoc

BuildArch:     noarch

%description
This library takes a String, compiles it and loads it
returning a class from what was built. By default it
uses the current ClassLoader. It supports nested classes,
but otherwise builds one class at a time.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n Java-Runtime-Compiler-compiler-%{version}

%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>net.openhft</groupId>"
%pom_xpath_set pom:project/pom:version %{version}

%pom_remove_parent compiler
%pom_xpath_inject pom:project "<groupId>net.openhft</groupId>" compiler
%pom_xpath_set pom:project/pom:version %{version} compiler

# Unwanted tasks
%pom_remove_plugin :depends-maven-plugin compiler

# net.openhft:third-party-bom:pom:3.5.0
%pom_remove_dep net.openhft:third-party-bom compiler
%pom_change_dep com.intellij: org.jetbrains: compiler

%mvn_file :compiler %{name} compiler
# Useless pom file
%mvn_package :Java-Runtime-Compiler __noinstall

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

asciidoc -n -b html5 -a toc2 -a toclevels=3 -o LICENSE.html LICENSE.adoc

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.html

%files javadoc -f .mfiles-javadoc
%license LICENSE.html

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.2.5-2
- rebuilt because koji is a crap

* Sun Jul 24 2016 gil cattaneo <puntogil@libero.it> 2.2.5-1
- update to 2.2.5

* Tue Jul 12 2016 gil cattaneo <puntogil@libero.it> 2.2.4-1
- initial rpm
